This endpoint returns the unstructured employee details for all matching employees.

See also: List basic details for employees (which is much more efficient if that is all the information that is required)

Pagination: This endpoint enforces a maximum of 100 records per request.

  • If $top is not specified, it defaults to 100.
  • If $top exceeds 100, the API returns a 400 Bad Request error.
  • To retrieve more than 100 employees, paginate using OData query parameters:
    • $skip — number of records to skip
    • $top — number of records to return (max 100)

Example: Page 1: ?$skip=0&$top=100, Page 2: ?$skip=100&$top=100, etc.

This operation supports OData queries (only $filter, $orderby, $top, $skip).

Request

GET http:///api/v2/business/{businessId}/employee/unstructured

Path parameters

Parameter name Value Description Additional
businessId string Required

Query parameters

Parameter name Value Description Additional
PayScheduleId int32
LocationId int32
options

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

SgUnstructuredEmployeeModel
400 Bad Request

Bad Request

ProblemDetails